#version 150

uniform mat4 modelMatrix;

in vec4 position;
in vec2 uv;

out vec2 vTexCoord;
out vec2 vBlurTexCoord[14];

void main(void)
{
	gl_Position = modelMatrix * position;
	vTexCoord = uv;
	vBlurTexCoord[0] = uv + vec2(-0.00546875, 0.0);
	vBlurTexCoord[1] = uv + vec2(-0.0046875, 0.0);
	vBlurTexCoord[2] = uv + vec2(-0.00390625, 0.0);
	vBlurTexCoord[3] = uv + vec2(-0.003125, 0.0);
	vBlurTexCoord[4] = uv + vec2(-0.00234375, 0.0);
	vBlurTexCoord[5] = uv + vec2(-0.0015625, 0.0);
	vBlurTexCoord[6] = uv + vec2(-0.00078125, 0.0);
	vBlurTexCoord[7] = uv + vec2(0.00078125, 0.0);
	vBlurTexCoord[8] = uv + vec2(0.0015625, 0.0);
	vBlurTexCoord[9] = uv + vec2(0.00234375, 0.0);
	vBlurTexCoord[10] = uv + vec2(0.003125, 0.0);
	vBlurTexCoord[11] = uv + vec2(0.00390625, 0.0);
	vBlurTexCoord[12] = uv + vec2(0.0046875, 0.0);
	vBlurTexCoord[13] = uv + vec2(0.00546875, 0.0);
}