#version 150


uniform sampler2D particleTexture;

in vec2 vTexCoord;
in float translucency;

out vec4 fragmentColor;

void main(void)
{
	vec4 color = texture(particleTexture, vTexCoord);

	fragmentColor = vec4(color.rgb, color.a * translucency); 
}