#version 150

uniform sampler2D blurTexture;

in vec2 vTexCoord;
in vec2 vBlurTexCoord[14];

out vec4 fragmentColor;

void main(void)
{
	vec4 outColor = vec4(0.0f);
	outColor += texture(blurTexture, vBlurTexCoord[0])*0.004429912105511326;
	outColor += texture(blurTexture, vBlurTexCoord[1])*0.00895781211794;
	outColor += texture(blurTexture, vBlurTexCoord[2])*0.0215963866053;
	outColor += texture(blurTexture, vBlurTexCoord[3])*0.0443683338718;
	outColor += texture(blurTexture, vBlurTexCoord[4])*0.0776744219933;
	outColor += texture(blurTexture, vBlurTexCoord[5])*0.115876621105;
	outColor += texture(blurTexture, vBlurTexCoord[6])*0.147308056121;
	outColor += texture(blurTexture, vTexCoord)*0.159576912161;
	outColor += texture(blurTexture, vBlurTexCoord[7])*0.147308056121;
	outColor += texture(blurTexture, vBlurTexCoord[8])*0.115876621105;
	outColor += texture(blurTexture, vBlurTexCoord[9])*0.0776744219933;
	outColor += texture(blurTexture, vBlurTexCoord[10])*0.0443683338718;
	outColor += texture(blurTexture, vBlurTexCoord[11])*0.0215963866053;
	outColor += texture(blurTexture, vBlurTexCoord[12])*0.00895781211794;
	outColor += texture(blurTexture, vBlurTexCoord[13])*0.0044299121055113265;

	fragmentColor = outColor;
}