#version 330 core

uniform sampler2D brightPassTexture;

in vec2 fragmentUV;
layout(location = 0) out vec4 fragmentColor;

void main(void)
{

	vec3 tmp = texture(brightPassTexture, fragmentUV).xyz;
	float gray = 0.3 * tmp.x + 0.5*tmp.y + 0.1*tmp.z;

	fragmentColor = gray > 0.9 ? vec4(tmp, 1.0) : vec4(0,0,0,1);
}