#version 150

uniform mat4 modelMatrix;
uniform mat4 uvMatrix;

in vec4 position;
in vec2 uv;

out vec2 vTexCoord;


void main(void)
{
    gl_Position = modelMatrix * position;
    
    vTexCoord = (uvMatrix * vec4(uv, 0.0, 1.0)).xy;
}