#version 150

in vec4 position;
in vec4 color;
in vec2 uv;

out vec4 vColor;
out vec2 vTexCoord;

uniform mat4 modelMatrix;
uniform mat4 uvMatrix;


void main(void)
{
    gl_Position = modelMatrix * position;
	//gl_Position = position;
    vColor = color;
    vTexCoord = (uvMatrix * vec4(uv, 0.0, 1.0)).xy;
	//vTexCoord = uv;
}