#version 150

uniform mat4 modelMatrix;

in vec4 position;
in vec2 uv;

out vec2 vTexCoord;
out vec2 vBlurTexCoord[14];

void main(void)
{
	gl_Position = modelMatrix * position;
	vTexCoord = uv;
	vBlurTexCoord[0] = uv + vec2(0.0, -0.00875);
	vBlurTexCoord[1] = uv + vec2(0.0, -0.0075);
	vBlurTexCoord[2] = uv + vec2(0.0, -0.00625);
	vBlurTexCoord[3] = uv + vec2(0.0, -0.005);
	vBlurTexCoord[4] = uv + vec2(0.0, -0.00375);
	vBlurTexCoord[5] = uv + vec2(0.0, -0.0025);
	vBlurTexCoord[6] = uv + vec2(0.0, -0.00125);
	vBlurTexCoord[7] = uv + vec2(0.0, -0.00125);
	vBlurTexCoord[8] = uv + vec2(0.0, -0.0025);
	vBlurTexCoord[9] = uv + vec2(0.0, -0.00375);
	vBlurTexCoord[10] = uv + vec2(0.0, -0.005);
	vBlurTexCoord[11] = uv + vec2(0.0, -0.00625);
	vBlurTexCoord[12] = uv + vec2(0.0, -0.0075);
	vBlurTexCoord[13] = uv + vec2(0.0, -0.00875);
}